net.snowflake.client.ingest

## Class IngestIT

- java.lang.Object
- - net.snowflake.client.ingest.IngestIT

    public class IngestIT
    extends Object

Created by hyu on 10/19/16.

### Constructor Summary

Constructors
Constructor and Description
`IngestIT()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setUp()`
`void` `tearDown()`
`void` `testAddColumnsWhileIngestingFile()`
`void` `testDropTableWhileIngest()`
`void` `testHugeUsersIngestingFile()`
`void` `testIngestAvro()`
`void` `testIngestingAHugeFile()`
`void` `testIngestIntoTableWithWideColumn()`
`void` `testIngestJson()`
`void` `testIngestOnErrorAbortStatement()`
`void` `testIngestOnErrorContinue()`
`void` `testIngestOnErrorSkip()`
`void` `testIngestOnErrorSkip5()`
`void` `testIngestParquet()`
`void` `testIngestS3File()`
`void` `testIngestS3FileInternalStage()`
`void` `testIngestS3MK()`
`void` `testIngestS3NotFound()`
`void` `testIngestXml()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IngestIT

    public IngestIT()
             throws SQLException

Throws:
  `SQLException`

### Method Detail

#### setUp

    public void setUp()
               throws Exception

Throws:
  `Exception`

#### tearDown

    public void tearDown()
                  throws Exception

Throws:
  `Exception`

#### testIngestJson

    public void testIngestJson()
                        throws Exception

Throws:
  `Exception`

#### testIngestXml

    public void testIngestXml()
                       throws Exception

Throws:
  `Exception`

#### testIngestAvro

    public void testIngestAvro()
                        throws Exception

Throws:
  `Exception`

#### testIngestParquet

    public void testIngestParquet()
                           throws Exception

Throws:
  `Exception`

#### testIngestOnErrorContinue

    public void testIngestOnErrorContinue()
                                   throws Exception

Throws:
  `Exception`

#### testIngestOnErrorSkip

    public void testIngestOnErrorSkip()
                               throws Exception

Throws:
  `Exception`

#### testIngestOnErrorSkip5

    public void testIngestOnErrorSkip5()
                                throws Exception

Throws:
  `Exception`

#### testIngestOnErrorAbortStatement

    public void testIngestOnErrorAbortStatement()
                                         throws Exception

Throws:
  `Exception`

#### testDropTableWhileIngest

    public void testDropTableWhileIngest()
                                  throws Exception

Throws:
  `Exception`

#### testAddColumnsWhileIngestingFile

    public void testAddColumnsWhileIngestingFile()
                                          throws Exception

Throws:
  `Exception`

#### testIngestIntoTableWithWideColumn

    public void testIngestIntoTableWithWideColumn()
                                           throws Exception

Throws:
  `Exception`

#### testHugeUsersIngestingFile

    public void testHugeUsersIngestingFile()
                                    throws Exception

Throws:
  `Exception`

#### testIngestingAHugeFile

    public void testIngestingAHugeFile()
                                throws Exception

Throws:
  `Exception`

#### testIngestS3File

    public void testIngestS3File()
                          throws Exception

Throws:
  `Exception`

#### testIngestS3FileInternalStage

    public void testIngestS3FileInternalStage()
                                       throws Exception

Throws:
  `Exception`

#### testIngestS3NotFound

    public void testIngestS3NotFound()
                              throws Exception

Throws:
  `Exception`

#### testIngestS3MK

    public void testIngestS3MK()
                        throws Exception

Throws:
  `Exception`